If you use the Jetpack WordPress plugin, update it now

Yesterday a critical security update (7.9.1) was released for Jetpack. Although there are no known exploits for the vulnerability that was patched, it is only a matter of time before someone tries. If netfishes manages your site, it has already been updated. For more info https://www.bleepingcomputer.com/news/security/millions-of-sites-exposed-by-flaw-in-jetpack-wordpress-plugin/